## org.apache.batik.dom.anim
Interface AnimatableElement

All Known Implementing Classes:
  SVGAnimateColorElementBridge, SVGAnimateElementBridge, SVGAnimateMotionElementBridge, SVGAnimateTransformElementBridge, SVGAnimationElementBridge, SVGSetElementBridge

    public interface AnimatableElement

An interface for animatable elements to expose their underlying values to the compositing functions in `AbstractAnimation`.

Method Summary
`AnimatableValue` `getUnderlyingValue()` Returns the underlying value of the animated attribute.

Method Detail

### getUnderlyingValue

    AnimatableValue getUnderlyingValue()

  Returns the underlying value of the animated attribute. Used for composition of additive animations.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.